Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Java] Interface UrlMapping

    @SuppressWarnings("rawtypes")
    public interface UrlMapping
    extends java.lang.Comparable

Defines a URL mapping. A URL mapping is a mapping between a URI such as /book/list and a controller, action and/or id.

A UrlMapping should implement Comparable so that UrlMapping instances can be ordered to allow for precendence rules. In other words the URL /book/list should be matched before /book/* as the wildcard is of lesser precedence. By implementing Comparable this can be allowed for.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation